Package chatapp.Model

# Class MessageHorodate

java.lang.Object
chatapp.Model.MessageHorodate

All Implemented Interfaces:
  `java.io.Serializable`

    public class MessageHorodate
    extends java.lang.Object
    implements java.io.Serializable

Classe représentant les messages envoyés en TCP lors d'une session de clavardage.
Un message Horodaté est composé :
- d'un destintaire,
- d'une source,
- d'un message,
- d'une date d'envoi.

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageHorodate​(Utilisateur destinataire, Utilisateur source, java.lang.String Message, int type)` | Constructeur , le message va etre horodaté

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `dateToString()` | Permet de créer une représentation string de la date d'horodatage
`java.util.Date` | `getDateHorodatage()` | Getter: Date d'horodatage
`Utilisateur` | `getDestinataire()` | Getter: Utilisateur Destinataire
`java.lang.String` | `getMessage()` | Getter: Message envoye
`Utilisateur` | `getSource()` | Getter: Utilisateur Source
`int` | `getType()` | Getter: 'Type' du message
`void` | `setDate​(java.util.Date d)` | Setter: Date d'horodatage On modifie le date d'horodatage
`void` | `setDateHorodatage​(java.util.Date dateHorodatage)` | Setter: Date d'horodatage On modifie le date.
`void` | `setDestinataire​(Utilisateur destinataire)` | Setter: Utilisateur Destinataire On modifie l'utilisateur Destinataire
`void` | `setMessage​(java.lang.String message)` | Setter: Message envoye On modifie le message envoyé
`void` | `setSource​(Utilisateur source)` | Setter: Utilisateur Source On modifie l'utilisateur source
`void` | `setType​(int Type)` | Setter: 'Type' du message horodate On modifie l'integer 'Type'
`static MessageHorodate` | `stringToMessageHorodate​(java.lang.String s)` | Permet de re créer un message horodaté à partir d'un string
`java.lang.String` | `toString()` | Permet de créer une représentation string du message

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageHorodate

public MessageHorodate​(Utilisateur destinataire, Utilisateur source, java.lang.String Message, int type)

Constructeur , le message va etre horodaté

Parameters:
  `destinataire` - - Destinataire du message
  `source` - - Source du message
  `Message` - - Message envoyé
  `type` - - Le type du message

## Method Details

### setDate

public void setDate​(java.util.Date d)
Setter: Date d'horodatage
On modifie le date d'horodatage

Parameters:
  `d` - La nouvelle date d'horodatage

### toString

public java.lang.String toString()

Permet de créer une représentation string du message

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  Les différents attributs de la classe sous forme de string

### dateToString

public java.lang.String dateToString()

Permet de créer une représentation string de la date d'horodatage

Returns:
  La date d'horodatage du message en format yyyy/MM/dd HH:mm:ss

### stringToMessageHorodate

public static MessageHorodate stringToMessageHorodate​(java.lang.String s)

Permet de re créer un message horodaté à partir d'un string

Parameters:
  `s` - Le message permettant de re créer un msg horodaté
Returns:
  un messageHorodate

### getSource

public Utilisateur getSource()
Getter: Utilisateur Source

Returns:
  Utilisateur a l'origine du message

### setSource

public void setSource​(Utilisateur source)
Setter: Utilisateur Source
On modifie l'utilisateur source

Parameters:
  `source` - Le nouvel utilisateur source

### getDestinataire

public Utilisateur getDestinataire()
Getter: Utilisateur Destinataire

Returns:
  Utilisateur recevant le message

### setDestinataire

public void setDestinataire​(Utilisateur destinataire)
Setter: Utilisateur Destinataire
On modifie l'utilisateur Destinataire

Parameters:
  `destinataire` - Le nouveau destinataire

### getMessage

public java.lang.String getMessage()
Getter: Message envoye

Returns:
  Le message envoye

### setMessage

public void setMessage​(java.lang.String message)
Setter: Message envoye
On modifie le message envoyé

Parameters:
  `message` - Nouveau message

### getType

public int getType()
Getter: 'Type' du message

Returns:
  On recupere le Type du message

### setType

public void setType​(int Type)
Setter: 'Type' du message horodate
On modifie l'integer 'Type'

Parameters:
  `Type` - Nouveau type

### getDateHorodatage

public java.util.Date getDateHorodatage()
Getter: Date d'horodatage

Returns:
  On recupere le date

### setDateHorodatage

public void setDateHorodatage​(java.util.Date dateHorodatage)
Setter: Date d'horodatage
On modifie le date.

Parameters:
  `dateHorodatage` - Nouvelle date d'horodatage